package com.ruoyi.system.service.impl;

import com.ruoyi.system.domain.AisShip;
import com.ruoyi.system.mapper.AisShipMapper;
import com.ruoyi.system.service.IAisShipService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * @Description: TODO
 * @Author: huangcheng
 * @Date: 2021/11/1
 * @Version V1.0
 */
@Service
public class AisShipServiceImpl implements IAisShipService {

    @Autowired
    private AisShipMapper aisShipMapper;

    @Override
    public Map<String, AisShip> queryDynamicShip(int i) {
        return aisShipMapper.queryDynamicShip(i);
    }

    @Override
    public List<AisShip> queryShipAddressList(int i) {
        return aisShipMapper.queryShipAddressList(i);
    }

    @Override
    public void deleteByDay(int day) {
        aisShipMapper.deleteByDay(day);
    }
}
